from pathlib import Path
from typing import Callable, Union

import numpy as np
import tensorflow as tf


PathT = Union[Path, str]
SampleEncFuncT = Callable[[PathT, str], dict[str, tf.Tensor]]
ImgT = Union[PathT, bytes]
Array = np.ndarray
